Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclBinIStreamBigEndian Class Reference
[OSCL Util]

`#include <oscl_bin_stream.h>`

Inheritance diagram for OsclBinIStreamBigEndian:

## Public Methods
| OsclBinIStreamBigEndian ()
void | Read (int8 &data)
void | Read (uint8 &data)
void | Read (int16 &data)
void | Read (uint16 &data)
void | Read (int32 &data)
void | Read (uint32 &data)
OsclBinIStreamBigEndian & | operator>> (int8 &data)
| This method reads a int8 from the stream and stores it in 'data'.
OsclBinIStream & | operator>> (uint8 &data)
| This method reads a uint8 from the stream and stores it in 'data'.
OsclBinIStreamBigEndian & | operator>> (int16 &data)
| This method reads a int16 from the stream and stores it in 'data'.
OsclBinIStreamBigEndian & | operator>> (uint16 &data)
| This method reads a uint16 from the stream and stores it in 'data'.
OsclBinIStreamBigEndian & | operator>> (int32 &data)
| This method reads a int32 from the stream and stores it in 'data'.
OsclBinIStreamBigEndian & | operator>> (uint32 &data)
| This method reads a uint32 from the stream and stores it in 'data'.
uint16 | Read_uint16 ()
| This method reads an unsigned short from the stream.
uint32 | Read_uint32 ()
| This method reads an unsigned long from the stream.

## Constructor & Destructor Documentation

OsclBinIStreamBigEndian::OsclBinIStreamBigEndian | ( |  | ) | `[inline]`

## Member Function Documentation

OsclBinIStreamBigEndian& OsclBinIStreamBigEndian::operator>> | ( | uint32 & | data | ) |

| This method reads a uint32 from the stream and stores it in 'data'.

OsclBinIStreamBigEndian& OsclBinIStreamBigEndian::operator>> | ( | int32 & | data | ) |

| This method reads a int32 from the stream and stores it in 'data'.

OsclBinIStreamBigEndian& OsclBinIStreamBigEndian::operator>> | ( | uint16 & | data | ) |

| This method reads a uint16 from the stream and stores it in 'data'.

OsclBinIStreamBigEndian& OsclBinIStreamBigEndian::operator>> | ( | int16 & | data | ) |

| This method reads a int16 from the stream and stores it in 'data'.

OsclBinIStream& OsclBinIStreamBigEndian::operator>> | ( | uint8 & | data | ) |

| This method reads a uint8 from the stream and stores it in 'data'.

OsclBinIStreamBigEndian& OsclBinIStreamBigEndian::operator>> | ( | int8 & | data | ) |

| This method reads a int8 from the stream and stores it in 'data'.

void OsclBinIStreamBigEndian::Read | ( | uint32 & | data | ) |

void OsclBinIStreamBigEndian::Read | ( | int32 & | data | ) |

void OsclBinIStreamBigEndian::Read | ( | uint16 & | data | ) |

void OsclBinIStreamBigEndian::Read | ( | int16 & | data | ) |

void OsclBinIStreamBigEndian::Read | ( | uint8 & | data | ) |

void OsclBinIStreamBigEndian::Read | ( | int8 & | data | ) |

uint16 OsclBinIStreamBigEndian::Read_uint16 | ( |  | ) |

| This method reads an unsigned short from the stream. Returns: Unsigned short read from the stream.

uint32 OsclBinIStreamBigEndian::Read_uint32 | ( |  | ) |

| This method reads an unsigned long from the stream. Returns: unsigned long read from the stream.

The documentation for this class was generated from the following file:

- oscl_bin_stream.h